## libpktriggercord 0.85.1%2B20221221181244

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0.2)
project (libpktriggercord C)

set (PK_VERSION 0.85.02)
set (PK_SOVERSION 0)
set (PK_DATADIR /usr/share/pktriggercord)
set (PK_DEBUG true)
set (PK_WARNINGS true)

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
find_package(INDI REQUIRED)

set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

# Build library
add_definitions (-DPKTDATADIR="${PK_DATADIR}")
add_definitions (-DVERSION="${PK_VERSION}")

include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/src/external/js0n)
include_directories (${INDI_INCLUDE_DIR})

# strip main function from pktriggercord
file (READ ${CMAKE_CURRENT_SOURCE_DIR}/src/pktriggercord-cli.c PK_CLI)
string (REGEX REPLACE "int main.*$" "" PK_CLI "${PK_CLI}")
file (WRITE ${CMAKE_CURRENT_BINARY_DIR}/libpktriggercord.c "${PK_CLI}")

set (libpktriggercord_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/libpktriggercord.c # stripped

  ${CMAKE_CURRENT_SOURCE_DIR}/src/pslr.c
	${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_model.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_lens.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_enum.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_utils.c
  ${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_log.c
	${CMAKE_CURRENT_SOURCE_DIR}/src/pslr_scsi.c
	${CMAKE_CURRENT_SOURCE_DIR}/src/src/external/js0n/js0n.c
	${CMAKE_CURRENT_SOURCE_DIR}/src/pktriggercord-servermode.c
)

add_library (pktriggercord SHARED ${libpktriggercord_SRCS})
set_target_properties (pktriggercord PROPERTIES VERSION ${PK_VERSION} SOVERSION ${PK_SOVERSION})

# Build udev rules
add_custom_command (
  OUTPUT 95-pentax.rules
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/src/pentax.rules ${CMAKE_CURRENT_BINARY_DIR}/95-pentax.rules
)

add_custom_command (
  OUTPUT 95-samsung.rules
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/src/samsung.rules ${CMAKE_CURRENT_BINARY_DIR}/95-samsung.rules
)

add_custom_target (udev_rules ALL DEPENDS 95-pentax.rules 95-samsung.rules)

# Install udev rules
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/95-pentax.rules ${CMAKE_CURRENT_BINARY_DIR}/95-samsung.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/src/pentax_settings.json DESTINATION ${PK_DATADIR})
endif()

# Install header files
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/src/ DESTINATION include/libpktriggercord FILES_MATCHING PATTERN "*.h")
install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/ DESTINATION include/libpktriggercord)

# Install library
install (TARGETS pktriggercord DESTINATION ${CMAKE_INSTALL_LIBDIR})

## libpktriggercord 0.85.1

=== debian/changelog ===
libpktriggercord (0.85.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 09:43:24 +0100

libpktriggercord (0.85.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Dec 2021 09:43:24 +0000

=== debian/control ===
Source: libpktriggercord
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libpktriggercord
Vcs-Git: https://salsa.debian.org/debian-astro-team/libpktriggercord.git

Package: libpktriggercord0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Pentax cameras in MSC mode
 This package contains a library to control Pentax cameras in MSC mode.A
 .
 After one connects the camera to the PC with the USB cable, one can control
 the camera from the computer. One can read status information, one can change
 several settings, and one can take pictures. The pictures are stored in the
 camera's buffer and can be downloaded to the PC. Pictures are not written on
 the SD card of the camera.

## libpktriggercord 0.85.1+20220607004112

=== debian/changelog ===
libpktriggercord (0.85.1+20220607004112-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:41:22 +0000

## libpktriggercord 0.85.1+20221221181244

=== debian/changelog ===
libpktriggercord (0.85.1+20221221181244-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113186)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:48 +0200

libpktriggercord (0.85.1+20221221181244-2) unstable; urgency=medium

  * Delegate placement of udev files to pkg-config data (Closes: #1057821)
    Thanks a lot to Chris Hofstaedtler for the patch
    - debian/control: update dependencies
    - debian/rules: override_dh_auto_configure
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Dec 2023 18:13:59 +0100

libpktriggercord (0.85.1+20221221181244-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.85.1

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:13:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 13)
 	, cmake
 	, libindi-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
@@ -16,6 +18,7 @@
 Package: libpktriggercord0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: library for Pentax cameras in MSC mode
  This package contains a library to control Pentax cameras in MSC mode.A
  .
